Skip to main content

Lead Detail API

Retrieve and manage individual lead records including profile data, metadata, and deletion.

GET /lead/{leadID}​

Get detailed information about a specific lead.

Request​

ParameterTypeRequiredDescription
leadIDstringYesLead identifier (path parameter)

Response​

200 OK

{
"lead_id": "ld_123",
"org_id": "org_456",
"score": 75,
"last_event_at": "2025-01-15T10:30:00Z",
"created_at": "2025-01-01T08:00:00Z",
"updated_at": "2025-01-15T10:30:00Z",
"owner_name": "Jane Smith",
"metadata": {
"first_name": "Alex",
"last_name": "Johnson",
"company": "Acme Corp",
"title": "VP Marketing"
}
}

Example​

curl -X GET "https://api.kenbun.io/lead/ld_123" \
-H "Authorization: Bearer <token>"

Common Errors​

StatusMeaningSolution
401UnauthorizedCheck authentication token
404Not FoundLead does not exist or not accessible

DELETE /lead/{leadID}​

Delete a lead and all associated data. This action cannot be undone.

Request​

ParameterTypeRequiredDescription
leadIDstringYesLead identifier (path parameter)

Response​

200 OK

{
"message": "Lead deletion initiated",
"lead_id": "ld_123"
}

Example​

curl -X DELETE "https://api.kenbun.io/lead/ld_123" \
-H "Authorization: Bearer <token>"

Common Errors​

StatusMeaningSolution
401UnauthorizedCheck authentication token
404Not FoundLead does not exist or not accessible

PUT /lead/{leadID}​

Update a lead's core information.

Request​

ParameterTypeRequiredDescription
leadIDstringYesLead identifier (path parameter)

Response​

200 OK

Returns the updated lead object.

Common Errors​

StatusMeaningSolution
400Bad RequestInvalid field values
401UnauthorizedCheck authentication token
404Not FoundLead does not exist or not accessible

Notes​

  • Lead data is OU-scoped to the active Organizational Unit
  • Lead deletion is processed asynchronously; use the deletion status endpoint to check progress
  • Leads can also be accessed via the plural path: GET /leads/{leadID}